## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname  molecule
%global pkgname  python-molecule
%global forgeurl https://github.com/ansible/%{srcname}

%global common_description %{expand:
Molecule is designed to aid in the development and testing of Ansible roles.
Molecule provides support for testing with multiple instances, operating
systems and distributions, virtualization providers, test frameworks and
testing scenarios. Molecule is opinionated in order to encourage an approach
that results in consistently developed roles that are well-written, easily
understood and maintained. Molecule uses Ansible playbooks to exercise the role
and its associated tests. Molecule supports any provider that Ansible supports.
}

%global documentation_description %{expand:
Documentation for python-molecule a tool designed to aid in the development and
testing of Ansible roles.
}

%bcond_with doc
%bcond_with tests

Name:           %{pkgname}
Version:        4.0.1
%forgemeta
Release:        %autorelease
Summary:        Molecule is designed to aid in the development and testing of Ansible roles
URL:            %{forgeurl}
Source:         %{forgesource}
Patch:          0001_remove_sphinx_version_pinning.patch
BuildArch:      noarch

########################################################################
# Most of the package is MIT licensed.                                 #
#                                                                      #
# There are two files in the archive that are licensed with ASL 2.0:   #
# - molecule-2.7/molecule/interpolation.py                             #
# - molecule-2.7/test/unit/test_interpolation.py                       #
########################################################################
License: MIT and ASL 2.0

BuildRequires: python3-devel
BuildRequires: pyproject-rpm-macros

%description %{common_description}
########################################################################
# Documentation package                                                #
########################################################################
%package -n python3-%{srcname}-doc
Summary: %summary
%description -n python3-%{srcname}-doc %{documentation_description}

########################################################################
# Python package                                                       #
########################################################################
%package -n python3-%{srcname}
Summary: %summary
%description -n python3-%{srcname} %{common_description}

Requires:   ansible-core
Recommends: python-molecule-doc
Recommends: python3dist(docker)
Recommends: python3dist(docker)
Recommends: python3dist(molecule-docker)
Recommends: python3dist(molecule-podman)

%prep
%forgeautosetup -p1

%generate_buildrequires
%pyproject_buildrequires -r %{?with_tests:-x test} %{?with_doc:-x docs}

%build
%pyproject_wheel

%if %{with doc}
PYTHONPATH=src sphinx-build-3 docs html
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files %{srcname}

%if %{with tests}
%check
PYTHONPATH=src %{python3} -m pytest -vv src/molecule/test
%endif

########################################################################
# Python package files                                                 #
########################################################################
%files -n python3-%{srcname}
%{python3_sitelib}/*
%{python3_sitelib}/%{srcname}-%{version}.dist-info
%{python3_sitelib}/%{srcname}/
%license LICENSE
%{_bindir}/%{srcname}

########################################################################
# Documentation package files                                          #
########################################################################
%if %{with doc}
%files -n python3-%{srcname}-doc
%license LICENSE
%doc *.rst
%doc html/
%endif

%changelog
* Thu Sep 22 2022 chedi toueiti <chedi.toueiti@gmail.com> 4.0.1-3
- adding ansible-core as a requirement

* Sat Sep 03 2022 chedi toueiti <chedi.toueiti@gmail.com> 4.0.1-1
- update to version 4.0.1 (#2092677)

* Mon Jul 11 2022 chedi toueiti <chedi.toueiti@gmail.com> 4.0.0-1
- Update to version 4.0.0 (#2092677)

* Mon Jul 11 2022 chedi toueiti <chedi.toueiti@gmail.com> 3.6.1-3
- fixing some test dependencies and typo

* Mon Jun 20 2022 Python Maint <python-maint@redhat.com> 3.6.1-2
- Rebuilt for Python 3.11

* Fri May 20 2022 Chedi Toueiti <chedi.toueiti@gmail.com> 3.6.1-1
- update to version 3.6.1-1 (#2051469)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 3.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 08 2021 chedi <chedi.toueiti@gmail.com> 3.5.2-1
- relaxing the pyyaml < 6 requirement as there is no lower version in f36

* Wed Sep 01 2021 chedi <chedi.toueiti@gmail.com> 3.4.0-2
- RPMAUTOSPEC: unresolvable merge
